name: Deploy krgm (auto)

on:
  push:
    branches: [ "main" ] 
  workflow_dispatch:

jobs:
  deploy:
    runs-on: [ "native" ]
    steps:
      - uses: actions/checkout@v4
      - name: Deploy to server
        run: /usr/local/bin/deploy_krgm.sh